# spec file for package sipcalc (Version 1.1.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:		sipcalc
Version:	1.1.5
Release:	0.pm.1.1
Summary:	An advanced console based ip subnet calculator
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.routemeister.net/projects/sipcalc/
Group:		Productivity/Networking/Other
License:	BSD
BuildRoot:	%{_tmppath}/build-%{name}-%{version}

%description
Sipcalc is an "advanced" console based ip subnet calculator.

Features include:
- IPv4
  * Multiple address and netmask input formats.
  * Retrieving of address information from interfaces.
  * Classfull and CIDR output.
  * Multiple address and netmask output formats (dotted quad, hex, number
    of bits).
  * Output of broadcast address, network class, Cisco wildcard, hosts/range,
    network range.
  * Output of multiple types of bitmaps.
  * Output of a userdefined number of extra networks.
  * Multiple networks input from commandline.
  * Parsing of a newline seperated list of networks from standard input (STDIN).
  * The ability to "split" a network based on a smaller netmask, now also with
    recursive runs on the generated subnets.
  * DNS resolution.
- IPv6
  * Compressed and expanded input addresses.
  * Compressed and expanded output.
  * Standard IPv6 network output.
  * v4 in v6 output.
  * Reverse dns address generation.
  * The ability to "split" a network based on a smaller netmask, now also with
    recursive runs on the generated subnets.
  * DNS resolution.



%prep

%setup -q

%build
%configure

make

%install
mkdir -p  $RPM_BUILD_ROOT%{_bindir}
mkdir -p  $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 src/sipcalc $RPM_BUILD_ROOT%{_bindir}/
gzip doc/sipcalc.1 -f
install -m 644 doc/sipcalc.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf  %{buildroot} 

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/sipcalc
%{_mandir}/man1/sipcalc.1*

%changelog
* Wed Jan 06 2010 AxelKoellhofer@web.de
- updated to version 1.1.5
* Fri Mar 06 2009 AxelKoellhofer@web.de
- Initial package version 1.1.4
